describe("gantt.date", function(){

	describe("date_to_str", function(){

		it("shold support month formatting options - %M %m", function(){
			var date = new Date(2012,2,24,8,0); // 24 March 2012 08:00
			var format = gantt.date.date_to_str("%M %m"); 
			expect(format(date)).to.equal("Mar 03");
		});

	});

	describe("str_to_date", function(){

		it("shold support month formatting options - %M", function(){
			var date = new Date(2012,2,24,0,0); // 24 March 2012 08:00
			var format = gantt.date.str_to_date("%d %M %Y"); 
			expect(format("24 Mar 2012").valueOf()).to.equal(date.valueOf());
		});

		it("shold support month formatting options - %m", function(){
			var date = new Date(2012,2,24,0,0); // 24 March 2012 08:00
			var format = gantt.date.str_to_date("%d %m %Y"); 
			expect(format("24 03 2012").valueOf()).to.equal(date.valueOf());
		});		

	});	

});